Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct
Class SimpleService

    java.lang.Object
      org.mule.construct.AbstractFlowConstruct
          org.mule.construct.SimpleService

All Implemented Interfaces:
  FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable

    public class SimpleService

extends AbstractFlowConstruct

In-out SOA-style simple service, with no outbound router. Always fully synchronous.

Nested Class Summary
`static class` | `SimpleService.Type`

Field Summary

Fields inherited from class org.mule.construct.AbstractFlowConstruct
`exceptionListener, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, muleContext, name, statistics, threadingProfile`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SimpleService(String name, MuleContext muleContext, MessageSource messageSource, Component component, SimpleService.Type type)`

Method Summary
`protected void` | `configureMessageProcessors(MessageProcessorChainBuilder builder)` Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.
`Component` | `getComponent()`
`String` | `getConstructType()`
`protected void` | `validateConstruct()` Validates configured flow construct

Methods inherited from class org.mule.construct.AbstractFlowConstruct
`createMessageProcessor, dispose, disposeIfDisposable, doDispose, doInitialise, doStart, doStop, getExceptionListener, getLifecycleState, getMessageInfoMapping, getMessageProcessorChain, getMessageSource, getMuleContext, getName, getStatistics, getThreadingProfile, initialise, initialiseIfInitialisable, injectFlowConstructMuleContext, isStarted, isStopped, isStopping, setExceptionListener, setMessageInfoMapping, setMessageSource, start, startIfStartable, stop, stopIfStoppable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleService

    public SimpleService(String name,
                         MuleContext muleContext,
                         MessageSource messageSource,
                         Component component,
                         SimpleService.Type type)
                  throws MuleException

Throws:
  `MuleException`

Method Detail

### getComponent

    public Component getComponent()

### configureMessageProcessors

    protected void configureMessageProcessors(MessageProcessorChainBuilder builder)

  Description copied from class: `AbstractFlowConstruct`
  Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.

  To use a different builder of to construct a composite `MessageProcessor` manually override `AbstractFlowConstruct.createMessageProcessor()` instead.

  Specified by:
    `configureMessageProcessors` in class `AbstractFlowConstruct`
  Parameters:
    `builder` - instance of `DefaultMessageProcessorChainBuilder`

### validateConstruct

    protected void validateConstruct()
                              throws FlowConstructInvalidException

  Description copied from class: `AbstractFlowConstruct`
  Validates configured flow construct

  Overrides:
    `validateConstruct` in class `AbstractFlowConstruct`
  Throws:
    `FlowConstructInvalidException` - if the flow construct does not pass validation

### getConstructType

    public String getConstructType()

  Specified by:
    `getConstructType` in class `AbstractFlowConstruct`
  Returns:
    the type of construct being created, e.g. "Flow"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.